Interface Smb2EndpointBuilderFactory.Smb2Builders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
Smb2EndpointBuilderFactory
public static interface Smb2EndpointBuilderFactory.Smb2Builders
-
Method Summary
Modifier and TypeMethodDescriptionSMB2 (camel-smb) Server Message Block (SMB) file shares Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName (required) The name of the samba shareSMB2 (camel-smb) Server Message Block (SMB) file shares Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName (required) The name of the samba share
-
Method Details
-
smb2
SMB2 (camel-smb) Server Message Block (SMB) file shares Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName (required) The name of the samba share- Parameters:
path- hostname:port/shareName- Returns:
- the dsl builder
-
smb2
SMB2 (camel-smb) Server Message Block (SMB) file shares Category: file Since: 4.3 Maven coordinates: org.apache.camel:camel-smb Syntax:smb:hostname:port/shareNamePath parameter: hostname (required) The share hostname or IP address Path parameter: port The share port number Default value: 445 Path parameter: shareName (required) The name of the samba share- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- hostname:port/shareName- Returns:
- the dsl builder
-